<?php
include_once("include/main.inc.php");
date_default_timezone_set('Asia/Kolkata');
$enq_date = date('Y-m-d H:i:s');
$admin_sql=mysqli_query($GLOBALS['dbconn'],
"select * from admin_details");
$admin_res=mysqli_fetch_array($admin_sql);
$referer = $_SERVER['HTTP_REFERER'];
$ip=$_SERVER['REMOTE_ADDR'];

if (isset($_POST['submit_callback']))
    {
        $name = !empty($_POST['name'])?$_POST['name']:'';
        $mobileNumber = (!empty($_POST['mobile']))?$_POST['mobile']:'';
        $code = (!empty($_POST['code']))?$_POST['code']:'';
        $countryNames = (!empty($_POST['countryName']))?$_POST['countryName']:'';
        $countryName1= explode('(',$countryNames);
        $countryName=$countryName1[0];
        $code =$code!=''?$code:'91';
        $countryName= $countryName!=''?$countryName:'India';
        $mobileNumbers= '+'.$code.' - '.$mobileNumber;
         if($name != '' && $mobileNumber != '' ){
            $sql_ens="insert into tbl_enquiry set en_name='$name', en_mobile='$mobileNumber',en_zcode='$code',en_country_name='$countryName', en_url='$referer',en_comment='Request Callback Enquiry', en_date='$enq_date', en_ip='$ip'";
            $qry=mysqli_query($GLOBALS['dbconn'],
            $sql_ens);
            $subject = utf8_encode('Webpulseindia.com '.' - '. $admin_res['subject']);
//             $htmlContent = "
//             Customer Details:
//   Url: ".$referer."
//   Mobile: ".$mobileNumber."
//  ";
             $htmlContent =  '<table border="0" width="100%">
        <tbody>
  <tr>
    <td colspan="2">
      <strong>Dear Admin</strong></td>
  </tr>
  <tr>
    <td colspan="2">
      Enquiry Received with following info :</td>
  </tr>
  <tr>
    <td colspan="2">
      &nbsp;</td>
  </tr>
  <tr>
    <td width="26%">
      <strong>Post URL : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $referer . '</span></td>
  </tr>
   <tr>
    <td width="26%">
      <strong>Name : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $name . '</span></td>
  </tr>
 <tr>
    <td width="26%">
      <strong>Contact No : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $mobileNumbers . '</span></td>
  </tr>
  <tr>
  <td>
    <strong>Country : </strong></td>
  <td>
    <span style="margin-top: 15px;">' . $countryName . '</span></td>
</tr>
</tbody>
        </table>';
            $to = $admin_res['email'];
             $to2 = $admin_res['cc'];
             $to3 = 'webpulseindia@gmail.com';   
            // $to3 = 'vicky.wpsranchi@gmail.com';
            // $headers = 'From: '.'Webpulseindia.com'.' enquiry@webpulseindia.com' . "\r\n" .
            // 'Reply-To:  '.$name.'<'.$email.'>' . "\r\n" .
            // 'X-Mailer: PHP/' . phpversion();
            // @mail($to,$subject,$htmlContent,$headers);
            // @mail($to2,$subject,$htmlContent,$headers);
            // @mail($to3,$subject,$htmlContent,$headers);
         if($to!='')
         {
         smtp_mailer($to, $email, $name, $subject, $htmlContent);
         }
         if($to2!='')
         {
         smtp_mailer($to2, $email, $name, $subject, $htmlContent);
         }
         smtp_mailer($to3, $email, $name, $subject, $htmlContent);
            $resp = [
                'message_response' => 'Thank you for your enquiry. Our team will contact you soon.',
                'status' => true
            ];
            echo json_encode($resp);
            exit;
        }	
  
   
else {
    $resp = [
        'message_response' => 'All the fields are Mandatory!',
        'status' => false
    ];
    echo json_encode($resp);
    exit;
}
}
?>